Gtk2::Statusbar(3p)

NAME
Gtk2::Statusbar

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gtk2::Statusbar

INTERFACES
  Gtk2::Orientable
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::Statusbar->new

  integer = $statusbar->get_context_id ($context_description)

•   $context_description (string)

  boolean = $statusbar->get_has_resize_grip

  $statusbar->set_has_resize_grip ($setting)

•   $setting (boolean)

  $statusbar->pop ($context_id)

•   $context_id (integer)

  integer = $statusbar->push ($context_id, $text)

•   $context_id (integer)

•   $text (string)

  $statusbar->remove ($context_id, $message_id)

•   $context_id (integer)

•   $message_id (integer)

PROPERTIES

'has-resize-grip' (boolean : readable / writable / private)
    Whether the statusbar has a grip for resizing the toplevel

SIGNALS

text-pushed (Gtk2::Statusbar, Glib::UInt, string)
text-popped (Gtk2::Statusbar, Glib::UInt, string)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::HBox

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.